import DateUtil from "@midefos/utils/src/DateUtil.js";

export default class LocalStorage {

    static REFRESH_EVERY_MILLISECONDS = 5 * 60 * 1000;

    static shouldRefresh(key) {
        if (!this.exist(key)) return true;

        const createdDate = this.get(`${key}UpdatedTime`);
        const timeElapsed = DateUtil.difference(DateUtil.now(), new Date(createdDate));
        return timeElapsed.getTime() > LocalStorage.REFRESH_EVERY_MILLISECONDS;
    }

    static set(key, item) {
        window.localStorage.setItem(key, JSON.stringify(item));
        window.localStorage.setItem(`${key}UpdatedTime`, JSON.stringify(DateUtil.now()));
    }

    static get(key) {
        return JSON.parse(window.localStorage.getItem(key));
    }

    static exist(key) {
        return this.get(key) !== null;
    }

}